import store from '@/store'

// 判断是否有权限
export default Vue => {
  Vue.directive('has', {
    inserted: function (el, binding) {
      if (!binding.value) return
      const permissions = store.state.permissions || []
      const hasPermission = !!permissions.find(item => item.tag === binding.value)
      if (!hasPermission) {
        el.parentNode && el.parentNode.removeChild(el)
      }
    }
  })
}
